FoxHandler = {}
-- Script created by cfrag - thank you!

function FoxHandler.handleFox(who, name, foxType)
	-- check if who matches name
	if who ~= Unit.getByName(name) then return end -- nope, bye!
	-- future proof: make it work with all coalitions
	local coa = who:getCoalition() 
	
	-- when we get here, we know fox type and who
	trigger.action.outTextForCoalition( coa, name .. ", Fox " .. foxType .. "!", 3)
	trigger.action.outSoundForCoalition( coa, name .. "-Fox" .. foxType .. ".ogg" ) -- dynamically build sound file name
	
end

function FoxHandler:onEvent(event)
	if event.id ~= world.event.S_EVENT_SHOT then return end -- not interested
	if not event.weapon then return end -- no need to check
	local ini = event.initiator
	if not ini then return end -- sanity check
	-- common code: check fox type
	local _wpn = event.weapon:getDesc()
	local _wpnType = _wpn.guidance
	local fox = nil -- init to undefined
	if _wpnType == 4 then fox = 1 end
	if _wpnType == 2 then fox = 2 end
	if _wpnType == 3 then fox = 3 end
	if not fox then return end -- not interesting, bye!
	  
	FoxHandler.handleFox(ini, 'Chevy 31', fox)
	FoxHandler.handleFox(ini, 'Chevy 32', fox)
	FoxHandler.handleFox(ini, 'Chevy 33', fox)
	
end
world.addEventHandler(FoxHandler)